### Method

# St Button get_icon_name

#### Declaration [src]

    const char*
    st_button_get_icon_name (
      StButton* button
    )

#### Description [src]

Get the icon name of the button. If the button isn’t showing an icon, the return value will be `NULL`.

Gets property | `St.Button:icon-name`

#### Return value

Type: `const char*`

The icon name of the button.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.